package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

import com.example.andrew.bakalarkabeta.model.Exercise;
import com.koushikdutta.ion.Ion;
import com.koushikdutta.ion.builder.AnimateGifMode;

public class Excercise extends AppCompatActivity {

    TextView name;
    TextView description;
    ImageView image;
    Button add;
    DBHelper myDbHelper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_excercise);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        init();
    }

    public void init() {
        Bundle b = getIntent().getExtras();
        name = (TextView) findViewById(R.id.textViewName);
        description = (TextView) findViewById(R.id.textViewDescription);
        image = (ImageView) findViewById(R.id.imageViewExercise);

        if (b.getInt("add") == 0) {
            View but = findViewById(R.id.ExerciseAddButton);
            but.setVisibility(View.INVISIBLE);
        }
        if (b.getInt("add") != 0) {
            add = (Button) findViewById(R.id.ExerciseAddButton);
            add.setOnClickListener(addLis);
        }
        gif();
        nacti();
    }

    View.OnClickListener addLis = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            Bundle b = getIntent().getExtras();
            uloz();
        }
    };

    public void uloz() {
        Bundle b = getIntent().getExtras();
        Intent i = new Intent(Excercise.this, CounterChoice.class);
        i.putExtra("id_plan", b.getInt("add", 0));
        i.putExtra("exID", b.getInt("exID", 0));
        startActivityForResult(i, 5);
    }

    public void gif() {
        Bundle b = getIntent().getExtras();
        String exerciseImage = b.getString("image");
        Ion.with(image)
                .error(R.drawable.cvik)
                .animateGif(AnimateGifMode.ANIMATE)
                .load("file:///android_asset/"+exerciseImage+".gif");
    }

    public void nacti() {
        Bundle b = getIntent().getExtras();
        name.setText(b.getString("name"));
        description.setText(b.getString("description"));
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {

        if (requestCode == 5) {
            if(resultCode == Activity.RESULT_OK){
                Intent returnIntent = new Intent();
                returnIntent.putExtra("result","close");
                setResult(Activity.RESULT_OK,returnIntent);
                finish();
            }
            if (resultCode == Activity.RESULT_CANCELED) {
                //Write your code if there's no result
            }
        }
    }

}
