package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.Button;

public class ExerciseChoiceList extends AppCompatActivity {

    Button tools;
    Button muscle;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_exercise_choice_list);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        init();
    }

    public void init() {
        tools = (Button) findViewById(R.id.choice1Button);
        muscle = (Button) findViewById(R.id.choice2Button);
        tools.setOnClickListener(toolListener);
        muscle.setOnClickListener(muscleListener);
    }

    View.OnClickListener muscleListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            Bundle b = getIntent().getExtras();
            Intent i = new Intent(ExerciseChoiceList.this, ExerciseChoiceList2.class);
            i.putExtra("choice","muscle");
            i.putExtra("add", b.getInt("id_plan", 0));
            startActivityForResult(i, 2);
        }
    };

    View.OnClickListener toolListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            Bundle b = getIntent().getExtras();
            Intent i = new Intent(ExerciseChoiceList.this, ExerciseChoiceList2.class);
            i.putExtra("choice","tools");
            i.putExtra("add", b.getInt("id_plan", 0));
            startActivityForResult(i, 2);
        }
    };

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {

        if (requestCode == 2) {
            if(resultCode == Activity.RESULT_OK){
                Intent returnIntent = new Intent();
                returnIntent.putExtra("result","close");
                setResult(Activity.RESULT_OK,returnIntent);
                finish();
            }
            if (resultCode == Activity.RESULT_CANCELED) {
                //Write your code if there's no result
            }
        }
    }


}