package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import com.example.andrew.bakalarkabeta.model.Exercise;
import java.util.ArrayList;

public class ExerciseChoiceList2 extends AppCompatActivity {

    ListView lv;
    ArrayList<String> list;
    DBHelper myDbHelper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_exercise_choice_list2);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        init();
    }

    public void init() {
        lv = (ListView) findViewById(R.id.lView);
        nactiDatabase();
        nacti();
    }

    public void nactiDatabase(){
        Bundle b = getIntent().getExtras();
        String choice = b.getString("choice");
        myDbHelper = new DBHelper(this);
        if (choice.matches("muscle")){
            list = myDbHelper.getMuscleList();
        }
        if (choice.matches("tools")){
            list = myDbHelper.getToolsList();
        }
    }


    public void nacti() {
        ArrayList<String> aa = new ArrayList<String>();
        int i = 0;
        while(i < list.size()){

            aa.add(list.get(i));
            i++;
        }
        ArrayAdapter adapter = new ArrayAdapter(this, android.R.layout.simple_list_item_1, aa);
        lv.setAdapter(adapter);

        lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {

            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {

                Bundle b = getIntent().getExtras();
                String choice = b.getString("choice");
                Intent i = new Intent(ExerciseChoiceList2.this, ExerciseChoiceList3.class);
                i.putExtra("choice",list.get(position));
                i.putExtra("table",choice);
                i.putExtra("add",b.getInt("add",0));
                startActivityForResult(i, 3);
            }

        });

    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {

        if (requestCode == 3) {
            if(resultCode == Activity.RESULT_OK){
                Intent returnIntent = new Intent();
                returnIntent.putExtra("result","close");
                setResult(Activity.RESULT_OK,returnIntent);
                finish();
            }
            if (resultCode == Activity.RESULT_CANCELED) {
                //Write your code if there's no result
            }
        }
    }

}
