package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import com.example.andrew.bakalarkabeta.model.Exercise;

import java.util.ArrayList;

public class ExerciseChoiceList3 extends AppCompatActivity {

    ListView listViewExercises;
    ArrayList<Exercise> list;
    DBHelper myDbHelper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_exercise_choice_list3);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        init();
    }

    public void init() {
        listViewExercises = (ListView) findViewById(R.id.listViewExercises);
        nactiDatabase();
        nacti();
    }

    public void nactiDatabase(){
        Bundle b = getIntent().getExtras();
        String table = b.getString("table");
        String choice = b.getString("choice");
        String select;
        myDbHelper = new DBHelper(this);
        if (table.matches("tools")){
            select = "SELECT * FROM exercise WHERE work_station='"+choice+"' ORDER BY name ASC";
            list = myDbHelper.getExercises(select);
        }
        if (table.matches("muscle")){
            select = "SELECT  exercise.id, exercise.name, exercise.description, exercise.work_station, exercise.image FROM exercise JOIN work_out ON exercise.id=work_out.id_exercise JOIN muscle_part ON work_out.id_muscle=muscle_part.id WHERE muscle_part.name='"+choice+"' ORDER BY exercise.name ASC";
            list = myDbHelper.getExercises(select);
        }
    }


    public void nacti() {
        ArrayList<String> aa = new ArrayList<String>();
        int i = 0;
        while(i < list.size()){

            aa.add(list.get(i).getName());
            i++;
        }
        ArrayAdapter adapter = new ArrayAdapter(this, android.R.layout.simple_list_item_1, aa);
        listViewExercises.setAdapter(adapter);

        listViewExercises.setOnItemClickListener(new AdapterView.OnItemClickListener() {

            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {

                Bundle b = getIntent().getExtras();
                Intent i = new Intent(ExerciseChoiceList3.this, Excercise.class);
                i.putExtra("image",list.get(position).getImage());
                i.putExtra("name",list.get(position).getName());
                i.putExtra("description",list.get(position).getDescription());
                i.putExtra("exID",list.get(position).getId());
                i.putExtra("add",b.getInt("add",0));
                startActivityForResult(i, 4);
            }

        });

    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {

        if (requestCode == 4) {
            if(resultCode == Activity.RESULT_OK){
                Intent returnIntent = new Intent();
                returnIntent.putExtra("result","close");
                setResult(Activity.RESULT_OK,returnIntent);
                finish();
            }
            if (resultCode == Activity.RESULT_CANCELED) {
                //Write your code if there's no result
            }
        }
    }


}
