package com.example.andrew.bakalarkabeta;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_main);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
    }

    protected void onClick(View but) {
        Button b = (Button)but;
        String buttonText = b.getText().toString();
        if(buttonText.matches("Cviky")){
            Intent i = new Intent(MainActivity.this, ExerciseChoiceList.class);
            i.putExtra("add", 0);
            startActivity(i);
        }
        if(buttonText.matches("Plán")){
            Intent i = new Intent(MainActivity.this, Plans.class);
            startActivity(i);
        }
        if(buttonText.matches("Stopky")){
            Intent i = new Intent(MainActivity.this, Timer.class);
            startActivity(i);
        }
        if(buttonText.matches("BMI")){
            Intent i = new Intent(MainActivity.this, BMI.class);
            startActivity(i);
        }
        if(buttonText.matches("Nastavení")){
            Intent i = new Intent(MainActivity.this, Settings.class);
            startActivity(i);
        }
        if(buttonText.matches("Počítadla")){
            Intent i = new Intent(MainActivity.this, Counting.class);
            startActivity(i);
        }
    }

}
