package com.example.andrew.bakalarkabeta;

import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class BMI extends AppCompatActivity {

    Button buttonBMI;
    TextView textBMI;
    EditText weight;
    EditText height;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_bmi);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);

        buttonBMI = (Button) findViewById(R.id.buttonBMI);
        textBMI = (TextView) findViewById(R.id.textBMI);
        weight = (EditText) findViewById(R.id.weight);
        height = (EditText) findViewById(R.id.height);
        buttonBMI.setOnClickListener(butLis);


    }

    private float getValue(EditText eT) {
        float result = 0;
        try {
            result = Float.valueOf(eT.getText().toString());
        }
        catch (Exception e) {
            Toast.makeText(this, "Nebyly zadány hodnoty!", Toast.LENGTH_LONG).show();
        }

        return result;
    }

    private void countBMI() {
        float result = 0;
        if(getValue(weight) > 0 && getValue(height) > 0) {
            result = (getValue(weight))/((getValue(height)/100)*(getValue(height)/100));
            writeBMI(result);
        }
    }

    private void writeBMI(Float res) {
        textBMI.setText("BMI = " + res );
        if (res >= 0.0 && res < 20.0) textBMI.setText("Podváha" + "\nBMI = " + res);
        if (res >= 20.0 && res < 25.0) textBMI.setText("Ideální" + "\nBMI = " + res);
        if (res >= 25.0 && res < 30.0) textBMI.setText("Nadváha" + "\nBMI = " + res);
        if (res >= 30.0 && res < 40.0) textBMI.setText("Obezita" + "\nBMI = " + res);
        if (res >= 40.0) textBMI.setText("Těžká obezita" + "\nBMI = " + res);
    }

    View.OnClickListener butLis = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            countBMI();
        }
    };

}
