package com.example.andrew.bakalarkabeta;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.NumberPicker;

public class CounterSetup extends AppCompatActivity {

    NumberPicker p1;
    NumberPicker p2;
    NumberPicker p3;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_touch_counter_setup);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);

        p1 = (NumberPicker) findViewById(R.id.p1);
        p2 = (NumberPicker) findViewById(R.id.p2);
        p3 = (NumberPicker) findViewById(R.id.p3);
        p1.setMaxValue(9);
        p1.setMinValue(0);
        p1.setWrapSelectorWheel(false);
        p2.setMaxValue(9);
        p2.setMinValue(0);
        p2.setWrapSelectorWheel(false);
        p3.setMaxValue(9);
        p3.setMinValue(0);
        p3.setWrapSelectorWheel(false);
    }

    protected void onClick(View but) {
        Button b = (Button)but;
        Bundle bun = getIntent().getExtras();
        int value = p1.getValue()*100+p2.getValue()*10+p3.getValue();
        if (bun.getInt("type") == 1) {
            Intent i = new Intent(CounterSetup.this, TouchCounter.class);
            i.putExtra("count",value);
            startActivity(i);
        }
        if (bun.getInt("type") == 2) {
            Intent i = new Intent(CounterSetup.this, PositionCounter.class);
            i.putExtra("value",value);
            startActivity(i);
        }


    }
}
