package com.example.andrew.bakalarkabeta;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.SparseBooleanArray;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;

import com.example.andrew.bakalarkabeta.model.PlanExercise;
import com.example.andrew.bakalarkabeta.model.PlanModel;

import java.util.ArrayList;

public class DeletePlans extends AppCompatActivity {

    ListView lv;
    ArrayList<PlanModel> list;
    DBHelper myDbHelper;
    Button delete;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_delete_plans);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        init();
    }

    public void init() {
        lv = (ListView) findViewById(R.id.deletePlanListView);
        lv.setChoiceMode(ListView.CHOICE_MODE_MULTIPLE);
        delete = (Button) findViewById(R.id.plansDeleteButton);
        delete.setOnClickListener(deleteListener);
        nactiDatabase();
        nacti();
    }


    View.OnClickListener deleteListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            smaz();

        }
    };

    public void smaz(){
        myDbHelper = new DBHelper(this);
        SparseBooleanArray checkList = lv.getCheckedItemPositions();
        int minus = 0;
        for (int i = 0; i < list.size(); i++) {
            if (checkList.get(i) == true) {
                int id = list.get(i-minus).getId();

                int min = 0;
                ArrayList<PlanExercise> planList = myDbHelper.getExerciseListPlans("SELECT plan_list.id, plan_list.id_plan, plan_list.id_exercise, plan_list.counter, plan_list.counter_value, plan_list.pause_value, exercise.name FROM plan_list LEFT OUTER JOIN exercise ON exercise.id = plan_list.id_exercise WHERE plan_list.id_plan = "+list.get(i).getId());
                for (int j = 0; j < planList.size(); j++) {
                    int ide = planList.get(j-min).getId();
                    myDbHelper.deleteExerciseFromPlan(ide);
                    min++;
                }

                myDbHelper.deletePlan(id);
                minus++;
            }
        }
        super.finish();
    }

    public void nactiDatabase(){
        myDbHelper = new DBHelper(this);
        list = myDbHelper.getListPlans("SELECT * FROM plans");
    }


    public void nacti() {
        ArrayList<String> aa = new ArrayList<String>();
        int i = 0;
        while(i < list.size()){

            aa.add(list.get(i).getName());
            i++;
        }
        ArrayAdapter adapter = new ArrayAdapter(this, android.R.layout.simple_list_item_multiple_choice, aa);
        lv.setAdapter(adapter);

        lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {

            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {

            }

        });

    }
}
