package com.example.andrew.bakalarkabeta;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class PlanListChoice1 extends AppCompatActivity {

    Button pause;
    Button exercise;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_plan_list_choice1);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        init();
    }

    public void init() {
        pause = (Button) findViewById(R.id.addPauseButton);
        exercise = (Button) findViewById(R.id.addExerciseButton);
        pause.setOnClickListener(pauseListener);
        exercise.setOnClickListener(exerciseListener);
    }

    View.OnClickListener pauseListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            Bundle b = getIntent().getExtras();
            Intent i = new Intent(PlanListChoice1.this, PauseSetup.class);
            i.putExtra("id_plan", b.getInt("id_plan", 0));
            startActivityForResult(i, 1);
        }
    };

    View.OnClickListener exerciseListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            Bundle b = getIntent().getExtras();
            Intent i = new Intent(PlanListChoice1.this, ExerciseChoiceList.class);
            i.putExtra("add",1);
            i.putExtra("id_plan", b.getInt("id_plan", 0));
            startActivityForResult(i, 1);
        }
    };

    @Override
    public void onResume() {
        // After a pause OR at startup
        super.onResume();
        checkResult();
    }

    public void checkResult() {

    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {

        if (requestCode == 1) {
            if(resultCode == Activity.RESULT_OK){
                finish();
            }
            if (resultCode == Activity.RESULT_CANCELED) {
                //Write your code if there's no result
            }
        }
    }
}
