package com.example.andrew.bakalarkabeta;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.media.MediaPlayer;
import android.os.CountDownTimer;
import android.os.SystemClock;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.Chronometer;
import android.widget.TextView;

import java.util.*;
import java.util.Timer;

public class TimeCounter extends AppCompatActivity {


    TextView timeText;
    MediaPlayer  alarmBeep;
    MediaPlayer  alarmBeepFin;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_time_counter);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        timeText = (TextView) findViewById(R.id.timeText);
        alarmBeep = MediaPlayer.create(this,  R.raw.beep01);
        alarmBeepFin = MediaPlayer.create(this,  R.raw.beep02);
        Bundle b = getIntent().getExtras();
        int time = b.getInt("time",0);
        count(time);
    }

    private void count(int t) {
        new CountDownTimer((t+1)*1000, 1000) {
            public void onTick(long time) {
                int m = (int) time/60000;
                long s = (time/1000)-(m*60);
                if(s<10)timeText.setText(m+":0"+s);
                else timeText.setText(m+":"+s);
                if(time < 4000)alarmBeep.start();
            }
            public void onFinish() {
                alarmBeepFin.start();
                timeText.setText("Hotovo!");
            }
        }.start();
    }


}
