package com.example.andrew.bakalarkabeta;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.NumberPicker;

public class TimeCounterSetup extends AppCompatActivity {


    NumberPicker m1;
    NumberPicker m2;
    NumberPicker s1;
    NumberPicker s2;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_time_counter_setup);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_NOSENSOR);
        m1 = (NumberPicker) findViewById(R.id.dpm2);
        m2 = (NumberPicker) findViewById(R.id.m2);
        s1 = (NumberPicker) findViewById(R.id.s1);
        s2 = (NumberPicker) findViewById(R.id.s2);
        m1.setMaxValue(5);
        m1.setMinValue(0);
        m1.setWrapSelectorWheel(false);
        m2.setMaxValue(9);
        m2.setMinValue(0);
        m2.setWrapSelectorWheel(false);
        s1.setMaxValue(5);
        s1.setMinValue(0);
        s1.setWrapSelectorWheel(false);
        s2.setMaxValue(9);
        s2.setMinValue(0);
        s2.setWrapSelectorWheel(false);
    }

    protected void onClick(View but) {
        Button b = (Button)but;
        int time = (m1.getValue()*10+m2.getValue())*60+(s1.getValue()*10+s2.getValue());
        Intent i = new Intent(TimeCounterSetup.this, TimeCounter.class);
        i.putExtra("time",time);
        startActivity(i);
    }
}
